Apache lib for python - mod-python against mod-wsgi and py3

Discussion in 'Installation/Configuration' started by francoisPE, Apr 24, 2021.

  1. francoisPE

    francoisPE Member HowtoForge Supporter

    Hello,

    I already had this discussion on that page
    https://www.howtoforge.com/tutorial...l-pureftpd-bind-postfix-doveot-and-ispconfig/

    I proposed to move from libapache2-mod-python to libapache2-mod-wsgi-py3

    "
    By: till at: 2020-11-20 17:36:47
    Reply
    @francoisPE: The libs are required to be installed in the way that is described in the guide, so do not alter the commands if you like to get a working setup. The changes you suggested will result in a non-functional system as mod-wsgi is not a direct replacement and also not supported by ISPConfig at all.

    By: francoisPE at: 2020-12-28 19:30:16
    Reply
    @till, libapache2-mod-python is incompatible with python3... it automatically load python2.7 and make it 'default'. When having libapache2-mod-python, it is impossible to have libapache2-mod-wsgi-py3. Python3 is incompatible with most of the modern web site using python... For me, this is a matter of concern.

    I don't know if you are able to move ispconfig to libapache2-mod-wsgi-py3. It would be really great!
    "

    Today, I see so many websites incompatible with libapache2-mod-python, that I will move to libapache2-mod-wsgi-py3.
    Dangerous life o_O

    My understanding is that : mailman (mailman2 in ispc) is incompatible with libapache2-mod-wsgi-py3
    Would you please confirm or give me few alerts on what functionality is at risk changing that lib !

    Many thanks
     

Share This Page